org.apache.jmeter.gui.util

## Class TextBoxDialoger.TextBoxDoubleClickPressed

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - org.apache.jmeter.gui.util.TextBoxDialoger.TextBoxDoubleClickPressed

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener

Enclosing class:
  TextBoxDialoger

    public static class TextBoxDialoger.TextBoxDoubleClickPressed
    extends MouseAdapter

Class to edit in a dialog box the cell's content when double (pressed) click on a table's cell which is editable

### Constructor Summary

Constructors
Constructor and Description
`TextBoxDoubleClickPressed(JTable table)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mousePressed(MouseEvent e)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextBoxDoubleClickPressed

    public TextBoxDoubleClickPressed(JTable table)

### Method Detail

#### mousePressed

    public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `MouseAdapter`